Subject: RE: Cygwin Python -- Thread or not to thread...
From: "Norman Vine" <[email-masked]>
To: "'Jason Tishler'" <[email-masked]>, "'Tim Peters'" <[email-masked]>
Cc: "'Cygwin'" <[email-masked]>, "'Python-List'" <[email-masked]>
Date: Wed, 26 Sep 2001 09:19:12 -0400

Jason Tishler writes:
>
>I will heed Tim's (and others) advice and continue to distribute Cygwin
>Python *without* threading until all known Cygwin pthreads issues have
>been resolved.
>
>As a consolation prize, I offer the following enhancements to my Cygwin
>Python distribution in lieu of threading:
>
>    _tkinter module
>    resource module
>    time.strftime fix
>    select.poll fix

quite a prize :-))

FYI  -  I have managed to get the '_winreg' module working with Cygwin
  < _winreg =  Python access to the Windows Registry > 

My current plan is to merge this into Jason's upcoming distribution
and then submit the necessary changes to the Python team in the hopes
of getting this included into the 'official' Python source tree.

This will be the most 'pervasive' Cygwin specific patch to the Python
source to date in that previously the Cygwin version has behaved
as a Posix only implementation whereas this patch requires knowledge of 
the Win32 of doing things also.  

Note as a side effect this opens up the possibility of exposing 
additional Win32 API components to a Cygwin compiled Python.

Anyone interested in helping 'beta-test' this please contact me off list

Cheers

Norman Vine

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/